Update One Customer
curl --request PUT \
--url https://api.upwell.com/api/rest/customers/{id} \
--header 'Content-Type: application/json' \
--data '
{
"customerRulesInput": {},
"id": "<string>",
"input": {}
}
'import requests
url = "https://api.upwell.com/api/rest/customers/{id}"
payload = {
"customerRulesInput": {},
"id": "<string>",
"input": {}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({customerRulesInput: {}, id: '<string>', input: {}})
};
fetch('https://api.upwell.com/api/rest/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updateCustomer": {
"addresses": [
{
"city": "<string>",
"id": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"zipOrPostalCode": "<string>"
}
],
"balance": "<unknown>",
"billToCustomerId": "<string>",
"ccEmailAddresses": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"customerRule": {
"dueOption": 123,
"id": "<string>"
},
"emailAddress": "<string>",
"id": "<string>",
"metadata": "<unknown>",
"name": "<string>",
"overdueBalance": "<unknown>",
"overdueInvoiceCount": 123,
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"updateCustomerRules": {
"affectedRows": 123
}
}Customers
Update One Customer
Update a customer by ID
PUT
/
api
/
rest
/
customers
/
{id}
Update One Customer
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Path Parameters
"id" is required (enter it either in parameters or request body)
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
200 - application/json
Responses for PUT /api/rest/customers/{id}
⌘I

